API

Get reference data for the order form

GET/api/crm/v2/orders.fieldsv2
operationId: orders.fields

Returns reference data for the order form. order_status includes transitions available from the current status.

Authorization

api-token + language + role

Query parameters

order_statusstring (OrderStatus) required

Order status: on the way, completed, assembling, in the kitchen, not processed, ready for dispatch, waiting to be sent to kitchen, waiting for remake, cancelled, confirmed, prepared

Values:in_transitdoneassemblyin_kitchennot_processedready_to_transitwait_to_kitchenwait_remadecanceledconfirmedcooked

Example: confirmed

branch_idintegerrequired

Example: 8779

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject
order_statusobject (FilterEnum)

Filter enumeration — a flat list of enumeration values

valuestring

Example: example

typestringrequired

Example: select

optionarray of string
modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

courier_service_idobject (FilterSelectInteger)
valueinteger

Example: 8920

typestringrequired

Example: select

optionarray of object
valueintegerrequired

Example: 8920

namestringrequired

Example: Green Basket | Kaliningrad

modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

pickup_address_idobject (FilterSelectInteger)
valueinteger

Example: 8920

typestringrequired

Example: select

optionarray of object
valueintegerrequired

Example: 8920

namestringrequired

Example: Green Basket | Kaliningrad

modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required